Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.endpoint
Interface EndpointResolver

    public interface EndpointResolver

Implementations of this interface are responsible for mapping between abstract and concrete endpoint references, and/or renewing stale references.

An underlying mechanism in the style of the OGSA WS-Naming specification is assumed, where an EPR maybe be fully abstract, or concrete but with sufficient information embedded to enable its renewal if necessary.

Method Summary
`EndpointReferenceType` | `mint(EndpointReferenceType physical)` Mint a new abstract EPR for a given concrete EPR
`EndpointReferenceType` | `mint(javax.xml.namespace.QName serviceName)` Mint a new abstract EPR for a given service name.
`EndpointReferenceType` | `renew(EndpointReferenceType logical, EndpointReferenceType physical)` Force a fresh resolution of the given abstract EPR, discarding any previously cached reference.
`EndpointReferenceType` | `resolve(EndpointReferenceType logical)` Retrieve a concrete EPR corresponding to the given abstract EPR, returning a cached reference if already resolved.

Method Detail

### resolve

    EndpointReferenceType resolve(EndpointReferenceType logical)

  Retrieve a concrete EPR corresponding to the given abstract EPR, returning a cached reference if already resolved.

  Parameters:
    `logical` - the abstract EPR to resolve
  Returns:
    the resolved concrete EPR if appropriate, null otherwise

### renew

    EndpointReferenceType renew(EndpointReferenceType logical,
                                EndpointReferenceType physical)

  Force a fresh resolution of the given abstract EPR, discarding any previously cached reference.

  Parameters:
    `logical` - the previously resolved abstract EPR
    `physical` - the concrete EPR to refresh
  Returns:
    the renewed concrete EPR if appropriate, null otherwise

### mint

    EndpointReferenceType mint(javax.xml.namespace.QName serviceName)

  Mint a new abstract EPR for a given service name.

  Parameters:
    `serviceName` -
  Returns:
    the newly minted EPR if appropriate, null otherwise

### mint

    EndpointReferenceType mint(EndpointReferenceType physical)

  Mint a new abstract EPR for a given concrete EPR

  Parameters:
    `serviceName` -
  Returns:
    the newly minted EPR if appropriate, null otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.